# $Revision: 1.19 $, $Date: 2002/02/02 05:07:10 $
Summary:	Utilities for configuring the linux ethernet bridge
Summary(pl):	Uytki przeznaczone do konfiguracji linux ethernet bridge
Name:		bridge-utils
Version:	0.9.5
Release:	1
License:	GPL
Group:		Networking/Admin
Group(de):	Netzwerkwesen/Administration
Group(pl):	Sieciowe/Administracyjne
Source0:	http://bridge.sourceforge.net/bridge-utils/%{name}-%{version}.tar.gz
Patch0:		%{name}-opt.patch
Patch1:		%{name}-rootonly.patch
URL:		http://bridge.sourceforge.net/
BuildRequires:	kernel-headers(bridging)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	brcfg

%define		_sbindir	/sbin

%description
This package contains utilities for configuring the linux ethernet
bridge. The linux ethernet bridge can be used for connecting multiple
ethernet devices together. The connecting is fully transparent: hosts
connected to one ethernet device see hosts connected to the other
ethernet devices directly.

%description -l pl
Ten pakiet zawiera narzdzia przeznaczone do konfigurowania
linuksowego ethernet bridge (inteligentny switch). Linux ethernet
bridge moe by uyty do czenia kilku ethernetowych interfejsw
sieciowych w jeden. Poczenie jest w peni przeroczyste; hosty
przyczone po jednej stronie widz hosty z drugiej strony
bezporednio.

%package devel
Summary:	Libraries for the linux ethernet bridge programs.
Summary(pl):	Biblioteki uywane do sterowania linuksowym bridge.
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(es):	Desarrollo/Bibliotecas
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Group(pt_BR):	Desenvolvimento/Bibliotecas
Group(ru):	/
Group(uk):	/̦

%description devel
This package contains the header and object files necessary for
developing programs which use 'libbridge', the interface to the linux
kernel ethernet bridge.

%description devel -l pl
Ten pakiet zawiera pliki nagwkowe i bibliotek konieczn do rozwoju
programw uywajcych 'libbridge' - interfejs do linuksowego ethernet
bridge.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

%build
%{__make} all OPT="%{rpmcflags}" CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_libdir},%{_includedir}} \
	$RPM_BUILD_ROOT%{_mandir}/man8

install brctl/brctl		$RPM_BUILD_ROOT%{_sbindir}
#install brctl/brctld		$RPM_BUILD_ROOT%{_sbindir}
install doc/*.8			$RPM_BUILD_ROOT%{_mandir}/man8
install libbridge/libbridge.a	$RPM_BUILD_ROOT%{_libdir}
install libbridge/libbridge.h	$RPM_BUILD_ROOT%{_includedir}

cd doc && gzip -9nf FAQ FIREWALL HOWTO SMPNOTES WISHLIST

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/*.gz
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man?/*

%files devel
%defattr(644,root,root,755)
%{_libdir}/*.a
%{_includedir}/*.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: bridge-utils.spec,v $
Revision 1.19  2002/02/02 05:07:10  kloczek
- cosmetics.

Revision 1.18  2002/01/31 10:51:58  misiek
- updated to 0.9.5

Revision 1.17  2002/01/18 02:12:31  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2002/01/10 20:10:47  misiek
- use our cc

Revision 1.15  2001/07/20 20:37:19  migo
- s/linuxow/linuksow/

Revision 1.14  2001/06/27 07:17:26  kloczek
- updated to 0.9.3.

Revision 1.13  2001/05/06 15:40:57  misiek
updated to 0.9.2

Revision 1.12  2001/04/30 16:05:15  kloczek
- added using %%{rpmcflags} macro.

Revision 1.11  2001/03/03 12:12:03  kloczek
- release 2: added using rpm automation and make spec %%{debug} ready.

Revision 1.10  2000/09/22 13:40:38  newrom
- added BuildRequires:  kernel-headers(bridging)

Revision 1.9  2000/09/21 20:55:35  kloczek
- adapterization and fiew cosmetics.

Revision 1.8  2000/09/21 13:25:34  newrom
- updated to 0.9.1

Revision 1.7  2000/06/09 07:22:48  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/18 16:58:01  kloczek
- spec adapterized.

Revision 1.5  2000/05/05 15:05:59  mis
- Group: synced with PLD groups

Revision 1.4  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.2  2000/02/22 11:04:28  kloczek
- spec adapterized,
- cosmetics.

Revision 1.1  2000/02/22 10:55:21  misiek
- bridge configuring utils
